import { Conditions, Dict, Config, RecipeVariant, RecipeConfig, PatternConfig, Parts, StyleObject } from '@pandacss/types';

declare function defineConfig<C extends Conditions, B extends Dict, T extends Dict>(config: Config<C, B, T>): any;
declare function defineRecipe<V extends Record<string, RecipeVariant>>(config: RecipeConfig<V>): any;
declare function definePattern(config: PatternConfig): any;
declare function defineParts<T extends Parts>(parts: T): (config: Partial<Record<keyof T, StyleObject>>) => Partial<Record<keyof T, StyleObject>>;

export { defineConfig, defineParts, definePattern, defineRecipe };
